use thiserror::Error;

#[derive(Error, Debug)]
pub enum SouthError {
    #[error("IoError error: {0}")]
    IoError(String),

    #[error("Configuration error: {0}")]
    ConfigurationError(String),

    #[error("Git error: {0}")]
    GitError(String),
}

pub type SouthResult<T> = std::result::Result<T, SouthError>;
